List a view's goals
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/views/{number}/issues \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/views/{number}/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/views/{number}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"view": {
"number": 123,
"name": "<string>",
"layout": "table",
"filter": "<string>",
"group": "state",
"sort": "changed:desc",
"fields": [
"goal"
],
"wip": {},
"default": true,
"by": "<string>",
"created": "<string>",
"changed": "<string>",
"html_url": "<string>"
},
"issues": [
{
"id": "<string>",
"content": "<string>",
"state": "<string>",
"judgedTurns": 123,
"owner": "<string>",
"stateReason": "<string>",
"duplicateOf": "<string>",
"duplicates": [
"<string>"
],
"parent": "<string>",
"subIssues": [
"<string>"
],
"about": {
"type": "<string>",
"id": "<string>",
"found": true,
"html_url": "<string>",
"state": "<string>",
"exit": "<string>",
"running": true,
"reason": "<string>",
"at": "<string>",
"message": "<string>",
"commit": "<string>",
"kept": true,
"about": "<string>",
"lastCommit": {}
},
"subIssuesSummary": {
"total": 123,
"completed": 123,
"percentCompleted": 123
},
"reason": "<string>",
"opened": "<string>",
"changed": "<string>",
"progress": "<string>",
"closures": [
{}
],
"role": "<string>",
"html_url": "<string>"
}
],
"total": 123,
"wip": {}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Folders
List a view's goals
The goals the view’s filter keeps (closed ones included unless the filter hides them), in its sort, with each WIP limit’s count.
GET
/
folders
/
{id}
/
views
/
{number}
/
issues
List a view's goals
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/views/{number}/issues \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/views/{number}/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/views/{number}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"view": {
"number": 123,
"name": "<string>",
"layout": "table",
"filter": "<string>",
"group": "state",
"sort": "changed:desc",
"fields": [
"goal"
],
"wip": {},
"default": true,
"by": "<string>",
"created": "<string>",
"changed": "<string>",
"html_url": "<string>"
},
"issues": [
{
"id": "<string>",
"content": "<string>",
"state": "<string>",
"judgedTurns": 123,
"owner": "<string>",
"stateReason": "<string>",
"duplicateOf": "<string>",
"duplicates": [
"<string>"
],
"parent": "<string>",
"subIssues": [
"<string>"
],
"about": {
"type": "<string>",
"id": "<string>",
"found": true,
"html_url": "<string>",
"state": "<string>",
"exit": "<string>",
"running": true,
"reason": "<string>",
"at": "<string>",
"message": "<string>",
"commit": "<string>",
"kept": true,
"about": "<string>",
"lastCommit": {}
},
"subIssuesSummary": {
"total": 123,
"completed": 123,
"percentCompleted": 123
},
"reason": "<string>",
"opened": "<string>",
"changed": "<string>",
"progress": "<string>",
"closures": [
{}
],
"role": "<string>",
"html_url": "<string>"
}
],
"total": 123,
"wip": {}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Authorizations
Path Parameters
Response
The view and its goals.
A view's goals.